Bug 155595 - "Properties" dialog doesn't display the same value as "Create Table" dialog
"Properties" dialog doesn't display the same value as "Create Table" dialog
Status: RESOLVED FIXED
Product: db
Classification: Unclassified
Component: Code
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Jiri Skrivanek
issues@db
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-16 18:01 UTC by Roman Mostyka
Modified: 2009-06-30 10:22 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Roman Mostyka 2008-12-16 18:01:22 UTC
1. Connect to "travel" Java DB.
2. Rightclick "Tables" node and choose "Create Table...".
3. Enter table name, column name, choose INTEGER and click "OK".
4. Expand node of recently created table, rightclick column's node and choose "Properties".

Result: "Column size" field contains value 10, but in "Create Dialog" this field contained value 10. We should display
the same value as was displayed in "Create Table" dialog.
Comment 1 John Baker 2008-12-18 00:48:12 UTC
Is this the same as or consequence of issue 149041 ?
Comment 2 Roman Mostyka 2008-12-18 16:30:59 UTC
John, it is consequence of the issue #149041. Now, even with non editable field for size, "Size" field in "Properties"
dialog shows value '10', but when user enter data for the table and choose INTEGER type, "Size" field is non editable
and shows '0'.
Comment 3 Jiri Rechtacek 2009-02-10 15:28:09 UTC
Reassigned to new owner.
Comment 4 Jiri Skrivanek 2009-06-30 10:22:26 UTC
Fixed as issue 155594. It is not possible to insert size of fixed-size data types.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo